Subject: bug#28510: crash: guix build -S foo --with-source=bla

From: Simon Tournier <[email-masked]>
Date: Wed, 10 Jul 2024 20:32:36 +0200

Hi Vincent,

On Sat, 22 Jun 2024 at 16:54, Vincent Legoll <[email-masked]> wrote:

> Looking at the comments in this issue, and the commenters list,
> I propose to remove the "easy" tag, if the issue is still there.

I removed the tag easy.  Well, I still think it’s an easy fix because to
me the issue is not the failure of “guix build --source foo
--with-source=bar” but the poor error handling.  However, if the aim to
be able to pass such command-line, then indeed that’s not easy because
it’s about some guarantee that the transformation is sound and that’s
hard for the generic case, IMHO.

Cheers,
simon